#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
%define		gstname gst-plugins-gl
%define		gst_major_ver   0.10
%define		gst_req_ver	0.10.35
%define		gstpb_req_ver	0.10.35
#
%include	/usr/lib/rpm/macros.gstreamer
#
Summary:	GStreamer Streaming-media framework plug-in for OpenGL
Summary(pl.UTF-8):	Wtyczka OpenGL do środowiska strumieni multimedialnych GStreamer
Name:		gstreamer-plugins-gl
Version:	0.10.3
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-gl/%{gstname}-%{version}.tar.bz2
# Source0-md5:	ac70ede13f79978d56eaed8abaa3c938
URL:		http://gstreamer.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
%{?with_apidocs:BuildRequires:	docbook-dtd412-xml}
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glew-devel >= 1.4.0
BuildRequires:	glib2-devel >= 1:2.6
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.6}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0
BuildRequires:	libprojectM-devel >= 2.0.1
BuildRequires:	libvisual-devel >= 0.4.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	rpmbuild(macros) >= 1.470
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	libprojectM >= 2.0.1
Requires:	libvisual >= 0.4.0
Obsoletes:	gstreamer-imagesink-gl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains integration library and plug-in for using OpenGL
within GStreamer pipelines.

%description -l pl.UTF-8
Ten moduł zawiera bibliotekę i wtyczkę pozwalające na używanie
OpenGL-a w potokach GStreamera.

%package devel
Summary:	Include files for GStreamer streaming-media framework OpenGL API
Summary(pl.UTF-8):	Pliki nagłówkowe API OpenGL dla środowiska strumieni multimedialnych GStreamer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	glew-devel >= 1.4.0
Requires:	gstreamer-devel >= %{gst_req_ver}
Requires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}

%description devel
Include files for GStreamer streaming-media framework OpenGL API.

%description devel -l pl.UTF-8
Pliki nagłówkowe API OpenGL dla środowiska strumieni multimedialnych
GStreamer.

%package apidocs
Summary:	GStreamer streaming-media framework OpenGL API documentation
Summary(pl.UTF-8):	Dokumentacja API OpenGL dla środowiska strumieni multimedialnych GStreamer
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GStreamer streaming-media framework OpenGL API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API OpenGL dla środowiska strumieni multimedialnych
GStreamer.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-examples \
	--disable-silent-rules \
	--disable-static \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE TODO
%attr(755,root,root) %{_libdir}/libgstgl-%{gst_major_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstgl-%{gst_major_ver}.so.1
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstopengl.so
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstlibvisualgl.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstgl-%{gst_major_ver}.so
%{_includedir}/gstreamer-%{gst_major_ver}/gst/gl
%{_pkgconfigdir}/gstreamer-gl-%{gst_major_ver}.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gst-plugins-gl-libs-%{gst_major_ver}
%{_gtkdocdir}/gst-plugins-gl-plugins-%{gst_major_ver}
%endif
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-plugins-gl.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a0de07
- release 3 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 3f85692
- release 2 (by relup.sh)

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 607d359
- updated to 0.10.3

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 216c750
- release 6

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ec311
- release 5

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0146be9
- release 4

* Thu Nov 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 392a4c3
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7797f77
- release 2

* Sun Jan 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 885fdfc
- Obsoletes: gstreamer-imagesink-gl

* Tue Jan 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 0200ea5
- License is LGPL
- pl
- completed/updated deps

* Sun Sep 05 2010 Patryk Zawadzki <patrys@room-303.com> ce4381e
- ldconfig

* Sun Sep 05 2010 Patryk Zawadzki <patrys@room-303.com> 963b220
- initial PLD release

